{
  "extends": "astro/tsconfigs/strict",
  "include": [
    ".astro/types.d.ts",
    "**/*",
    "src/**/*.d.ts"
  ],
  "exclude": [
    "dist"
  ],
  "compilerOptions": {
    "jsx": "preserve",
    "jsxImportSource": "solid-js",
    "baseUrl": ".",
    "paths": {
      "@/*": [
        "src/*"
      ],
      "@components/*": [
        "src/components/*"
      ],
      "@layouts/*": [
        "src/layouts/*"
      ],
      "@constants/*": [
        "src/constants/*"
      ],
      "@pages/*": [
        "src/pages/*"
      ],
      "@styles/*": [
        "src/styles/*"
      ],
      "@icons/*": [
        "src/icons/*"
      ],
      "@utils/*": [
        "src/utils/*"
      ],
      "@lib/*": [
        "src/lib/*"
      ],
      "@types/*": [
        "/types/*"
      ]
    }
  }
}